Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.cms
Class OriginatorPublicKey

    java.lang.Object
      |
      +--com.dstc.security.cms.OriginatorPublicKey

public abstract class OriginatorPublicKey
extends Object
implements OriginatorIdentifierOrKey

A class which holds an originator's public key for use by a recipient to decrypt a CMS EnvelopedData in which a key encrypting key is obtained by key agreement performed with the said public key.

OriginatorPublicKey is primarily intended for use with the Ephemeral-Static Diffie-Hellman algorithm to generate an EnvelopedData, in which the recipient has an identifying certificate but the sender (aka originator) may be anonymous.

OriginatorPublicKey is defined in RFC2630 by the ASN.1 structure

         OriginatorPublicKey ::= SEQUENCE {
            algorithm  AlgorithmIdentifier,
            publicKey  BIT STRING}

See Also:
  `OriginatorIdentifierOrKey`, `KeyAgreeRecipientInfo`

Constructor Summary
`OriginatorPublicKey()`

Method Summary
`abstract String` | `getAlgorithm()` Returns the public key algorithm JCA standard name for public key encapsulated in this OriginatorPublicKey
`abstract byte[]` | `getPublicKeyBytes()` Returns the value of the encapsulated public key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorPublicKey

    public OriginatorPublicKey()

Method Detail

### getAlgorithm

    public abstract String getAlgorithm()

  Returns the public key algorithm JCA standard name for public key encapsulated in this OriginatorPublicKey

### getPublicKeyBytes

    public abstract byte[] getPublicKeyBytes()

  Returns the value of the encapsulated public key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD